cURL
curl --request GET \
--url https://api.helohq.com/suppressionsusing HeloEmail.Sdk;
using HeloEmail.Sdk.Suppressions;
var paginatedResponseOfSuppression = await helo.Suppressions.List("550e8400-e29b-41d4-a716-446655440000", MailType.Transactional, reason: SuppressionReason.Bounce, email: "test@example.com");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
channel_id: "550e8400-e29b-41d4-a716-446655440000",
mail_type: Helo::MailType::TRANSACTIONAL,
reason: Helo::SuppressionReason::BOUNCE,
email: "example",
limit: 10,
offset: 10
}
Helo::Suppressions.list(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_response_of_suppression = client.suppressions.list(
channel_id="550e8400-e29b-41d4-a716-446655440000",
mail_type=helo.MailType.TRANSACTIONAL,
reason=helo.SuppressionReason.BOUNCE,
email="test@example.com",
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.SuppressionsListParams{
ChannelID: "550e8400-e29b-41d4-a716-446655440000",
MailType: helo.MailTypeTransactional,
Reason: helo.SuppressionReasonBounce,
Email: "test@example.com",
Limit: 10,
Offset: 10,
}
result, err := client.Suppressions.List(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.suppressions.list({
channelId: "550e8400-e29b-41d4-a716-446655440000",
mailType: Helo.MailType.TRANSACTIONAL,
reason: Helo.SuppressionReason.BOUNCE,
email: "test@example.com",
limit: 10,
offset: 10,
});{
"totalCount": 123,
"results": [
{
"email": "<string>",
"reason": "bounce",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Suppressions
List suppressions
Retrieves a list of suppressed email addresses for a channel.
GET
/
suppressions
cURL
curl --request GET \
--url https://api.helohq.com/suppressionsusing HeloEmail.Sdk;
using HeloEmail.Sdk.Suppressions;
var paginatedResponseOfSuppression = await helo.Suppressions.List("550e8400-e29b-41d4-a716-446655440000", MailType.Transactional, reason: SuppressionReason.Bounce, email: "test@example.com");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
channel_id: "550e8400-e29b-41d4-a716-446655440000",
mail_type: Helo::MailType::TRANSACTIONAL,
reason: Helo::SuppressionReason::BOUNCE,
email: "example",
limit: 10,
offset: 10
}
Helo::Suppressions.list(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_response_of_suppression = client.suppressions.list(
channel_id="550e8400-e29b-41d4-a716-446655440000",
mail_type=helo.MailType.TRANSACTIONAL,
reason=helo.SuppressionReason.BOUNCE,
email="test@example.com",
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.SuppressionsListParams{
ChannelID: "550e8400-e29b-41d4-a716-446655440000",
MailType: helo.MailTypeTransactional,
Reason: helo.SuppressionReasonBounce,
Email: "test@example.com",
Limit: 10,
Offset: 10,
}
result, err := client.Suppressions.List(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.suppressions.list({
channelId: "550e8400-e29b-41d4-a716-446655440000",
mailType: Helo.MailType.TRANSACTIONAL,
reason: Helo.SuppressionReason.BOUNCE,
email: "test@example.com",
limit: 10,
offset: 10,
});{
"totalCount": 123,
"results": [
{
"email": "<string>",
"reason": "bounce",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Query Parameters
Available options:
transactional, broadcast Available options:
bounce, complaint, unsubscribe, manual Required range:
1 <= x <= 500Required range:
x >= 0